<?php
/**
 * Log level enum.
 *
 * @package northmill-online-shared
 */

declare(strict_types=1);

namespace Northmill_Online_Shared\Modules\Loggers;

defined( 'ABSPATH' ) || exit;

enum Log_Level_Enum: string {
	/**
	 * The system is unusable.
	 */
	case EMERGENCY = 'emergency';

	/**
	 * Action must be taken immediately.
	 */
	case ALERT = 'alert';

	/**
	 * Critical conditions.
	 */
	case CRITICAL = 'critical';

	/**
	 * Error conditions.
	 */
	case ERROR = 'error';

	/**
	 * Warning conditions.
	 */
	case WARNING = 'warning';

	/**
	 * Normal but significant condition.
	 */
	case NOTICE = 'notice';

	/**
	 * Informational messages.
	 */
	case INFO = 'info';

	/**
	 * Debug-level messages.
	 */
	case DEBUG = 'debug';

	case DISABLED = 'disabled';
}
